xgboost

Public Member Functions | Static Public Member Functions | List of all members
xgboost::common::ProbabilityDistribution Class Referenceabstract

Interface for a probability distribution. More...

`#include <probability_distribution.h>`

Inheritance diagram for xgboost::common::ProbabilityDistribution:
Collaboration diagram for xgboost::common::ProbabilityDistribution:

## Public Member Functions
virtual double | PDF (double z)=0
| Evaluate Probability Density Function (PDF) at a particular point. More...
virtual double | CDF (double z)=0
| Evaluate Cumulative Distribution Function (CDF) at a particular point. More...
virtual double | GradPDF (double z)=0
| Evaluate first derivative of PDF at a particular point. More...
virtual double | HessPDF (double z)=0
| Evaluate second derivative of PDF at a particular point. More...
virtual | ~ProbabilityDistribution ()=default

## Static Public Member Functions
static ProbabilityDistribution * | Create (ProbabilityDistributionType dist)
| Factory function to instantiate a new probability distribution object. More...

## Detailed Description

Interface for a probability distribution.

## Constructor & Destructor Documentation

## ◆ ~ProbabilityDistribution()

virtual xgboost::common::ProbabilityDistribution::~ProbabilityDistribution | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ CDF()

virtual double xgboost::common::ProbabilityDistribution::CDF | ( | double | z | ) |
| pure virtual

Evaluate Cumulative Distribution Function (CDF) at a particular point.

Parameters

  z | point at which to evaluate CDF

Returns
  Value of CDF evaluated

Implemented in xgboost::common::ExtremeDist, xgboost::common::LogisticDist, and xgboost::common::NormalDist.

## ◆ Create()

static ProbabilityDistribution* xgboost::common::ProbabilityDistribution::Create | ( | ProbabilityDistributionType | dist | ) |
| static

Factory function to instantiate a new probability distribution object.

Parameters

  dist | kind of probability distribution

Returns
  Reference to the newly created probability distribution object

## ◆ GradPDF()

virtual double xgboost::common::ProbabilityDistribution::GradPDF | ( | double | z | ) |
| pure virtual

Evaluate first derivative of PDF at a particular point.

Parameters

  z | point at which to evaluate first derivative of PDF

Returns
  Value of first derivative of PDF evaluated

Implemented in xgboost::common::ExtremeDist, xgboost::common::LogisticDist, and xgboost::common::NormalDist.

## ◆ HessPDF()

virtual double xgboost::common::ProbabilityDistribution::HessPDF | ( | double | z | ) |
| pure virtual

Evaluate second derivative of PDF at a particular point.

Parameters

  z | point at which to evaluate second derivative of PDF

Returns
  Value of second derivative of PDF evaluated

Implemented in xgboost::common::ExtremeDist, xgboost::common::LogisticDist, and xgboost::common::NormalDist.

## ◆ PDF()

virtual double xgboost::common::ProbabilityDistribution::PDF | ( | double | z | ) |
| pure virtual

Evaluate Probability Density Function (PDF) at a particular point.

Parameters

  z | point at which to evaluate PDF

Returns
  Value of PDF evaluated

Implemented in xgboost::common::ExtremeDist, xgboost::common::LogisticDist, and xgboost::common::NormalDist.

The documentation for this class was generated from the following file:

- /workspace/src/common/probability_distribution.h